Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 590575 - Alert Notification: is removed when alert condition is modified.
Alert Notification: is removed when alert condition is modified.
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
3.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
: 591246 (view as bug list)
Depends On: 590724
Blocks: jon24-alert-notify
  Show dependency treegraph
 
Reported: 2010-05-10 04:20 EDT by Sudhir D
Modified: 2010-08-12 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:56:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sudhir D 2010-05-10 04:20:35 EDT
Description of problem:
Alert notification set for an alert, is removed automatically when the alert condition is modified.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Go to JBoss AS Resource -> Alert -> Create New Alert Definition.
2. Provide the Alert definition name and set the condition for JVM free memory less than 500.0B and click Ok.
3. Edit the Alert Notification. Add New -> Direct Email -> give receiver's email id. Click Save and back to Resource Alert Definition.
4. Edit the condition set to change the JVM free memory from 500 to 800 and click ok.
5. Check the Alert Notification.

  
Actual results:
Alert notification created in step 3 is removed automatically.

Expected results:
Alert notification should not be removed if alert condition is modified.

Additional info:
Comment 1 Sudhir D 2010-05-18 01:04:32 EDT
*** Bug 591246 has been marked as a duplicate of this bug. ***
Comment 2 Sudhir D 2010-05-19 10:10:00 EDT
While I was testing with new build (Build# 154 Version 2.4 Snapshot). The issue seem to have gone.

Marking this bug verified.
Comment 3 Corey Welton 2010-08-12 12:56:13 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.